<?php
namespace gp\modeles;
use Illuminate\Database\Eloquent\Builder;
class Comment extends \Illuminate\Database\Eloquent\Model
{
    protected $table = 'comment';
    protected $primaryKey = 'id';
    public $timestamps = false ;

    public static function create($id_game, $email, $title, $content, $createdAt){
        $obj = new Comment();
        $obj->email = $email;
        $obj->title = $title;
        $obj->content = $content;
        $obj->createdAt = $createdAt;
        $obj->save();
        Game::where('id', '=', $id_game)->first()->comments()->attach([$id_game]);
        return $obj;
    }

    function games(){
        return $this->BelongsToMany('gp\modeles\Game', 'game2comment','comment_id');
    }
}